%define tomoe_ver 0.6.0

Name:           tomoe-gtk
Version:        0.6.0
Release:        5%{?dist}
Summary:        Gtk library for tomoe for Japanese and Chinese handwritten input

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://scim-imengine.sourceforge.jp/
Source0:        http://dl.sourceforge.net/sourceforge/tomoe/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       tomoe >= %{tomoe_ver}
Obsoletes:      libtomoe-gtk < 0.6.0-4
BuildRequires:  tomoe-devel >= %{tomoe_ver}, gtk2-devel, 
# does not currently build with gucharmap-2
#BuildRequires:  gucharmap-devel
BuildRequires:  libgnomeui-devel, pygobject2-devel
BuildRequires:  gettext

%description
Gtk library for tomoe Japanese handwritten input.
This package is used by scim-tomoe or uim-tomoe.


%package devel
Summary:    Gtk library for tomoe Japanese handwritten input
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}
Requires:   gtk2-devel, libgnomeui-devel, gucharmap-devel, tomoe-devel
Obsoletes:  libtomoe-gtk-devel < 0.6.0-4
# added for F10
Provides:   libtomoe-gtk-devel = %{version}-%{release}


%description devel
The libtomoe-devel package includes the header files for libtomoe-gtk.
Install this if you want to develop programs which will use libtomoe-gtk.


%prep
%setup -q


%build
%configure --disable-static --without-gucharmap
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name}


%clean
rm -rf $RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig



%post devel -p /sbin/ldconfig


%postun devel -p /sbin/ldconfig


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING NEWS README TODO
%{_libdir}/lib%{name}.so.*
%{_datadir}/%{name}/


%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/lib%{name}.so
%{_includedir}/tomoe/*
%{_datadir}/gtk-doc/html/lib%{name}/


%changelog
* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Wed Jul  9 2008 Jens Petersen <petersen@redhat.com> - 0.6.0-4.fc10
- package renamed from libtomoe-gtk to tomoe-gtk in line with upstream
- no longer need pkgname macro
- obsolete libtomoe-gtk
- make license field LGPLv2+
- disable gucharmap for now since doesn't build yet with gucharmap-2

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.6.0-3.fc9
- Autorebuild for GCC 4.3

* Wed Aug 29 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.6.0-2
- Rebuild for selinux ppc32 issue.

* Fri Jun 29 2007 Jens Petersen <petersen@redhat.com> - 0.6.0-1
- update to 0.6.0
- add %%pkgname for new upstream package name tomoe-gtk

* Thu Apr 12 2007 Jens Petersen <petersen@redhat.com> - 0.5.1-2
- rebuild for libgucharmap.so.6

* Thu Feb 15 2007 Jens Petersen <petersen@redhat.com> - 0.5.1-1
- update to 0.5.1
- add some more doc files

* Sun Jan 21 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-2
- fix the building dependencies.

* Thu Jan 19 2007 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.5.0-1
- update to 0.5.0.

* Thu Dec 21 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.4.0-1
- update to 0.4.0.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-7
- mass rebuilding.

* Sat Sep 15 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-7
- mass rebuilding.

* Wed Jul 26 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-6
- add a buildreq of gettext.

* Tue Feb 28 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-5
- add "ldconfig" for the devel subpackage (Thanks, John Mahowald)

* Fri Jan 27 2006 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-4
- modify "ldconfig" in the "post" section (Thanks, John Mahowald)

* Fri Dec 30 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-3
- a bit more cleanup

* Fri Dec 23 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-2
- add gtk2-devel in the build requirements (Thanks, John Mahowald)

* Wed Dec 3 2005 Ryo Dairiki <ryo-dairiki@users.sourceforge.net> - 0.1.0-1
- initial packaging for fedora extras
